Bug 422841 - Review Request: python-libgmail-docs - Documents and examples for python-libgmail
Review Request: python-libgmail-docs - Documents and examples for python-libg...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 422831
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 23:08 EST by Michael Stahnke
Modified: 2008-02-13 00:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-12-12 23:08:23 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/python-libgmail-docs.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/python-libgmail-docs-0.3-1.fc8.src.rpm
Description: Documents and examples for python-libgmail


See also bug #422831 for the non-docs package. This is an odd case where upstream has two different sources for docs and for the actual project.  So, I figured that would be two SRPMS and two packages.
Comment 1 Parag AN(पराग) 2007-12-13 00:46:42 EST
I think you are missing BR: python, Got many messages asking python command in
build.log
Comment 2 Michael Stahnke 2007-12-13 09:56:48 EST
I added it, but it really doesn't require python.  Apparently if a package
contains 'python*' in the name, rpm tries to run these python commands.  I
didn't see a way to suppress that easily without just adding a BR on python. 
It's probably not that big of deal, as you will likely have python on any
system, and especially if interested in the non-docs version of this package. 

New stuff:
http://stahnma.fedorapeople.org/reviews/python-libgmail-docs-0.3-2.fc8.src.rpm
http://stahnma.fedorapeople.org/reviews/python-libgmail-docs.spec
Comment 3 Ville Skyttä 2007-12-13 12:09:04 EST
License: GPLv2+ is not correct.

$ grep License *.py
archive.py:# License: GPL 2.0
gcp.py:# License: GPL 2.0
gmailftpd.py:# License: Dual GPL 2.0 and PSF (This file only.)
gmailpopd.py:# License: Dual GPL 2.0 and PSF (This file only.)
gmailsmtp.py:# License: GPL 2.0
readmail.py:License: GPL 2.0
sendmsg.py:# License: GPL 2.0
test_notifier.py:# License: GPL 2.0
unreadmsgcount.py:# License: GPL 2.0

Unlike in most packages, I think shipping the *.py as executable, even in %docs,
would be a good thing in this case.  Some of them are even so useful as is that
I'd personally consider shipping them in %{_bindir}, renamed eg. as archive.py
-> libgmail-archive(.py).

If the *.py are not going to be made executable, I think the dependency on
python-libgmail is superfluous and should be dropped - without the executable
bits this package is really just a bunch of docs with no dependencies.

Using %exclude to exclude the unwanted *.pyc and *.pyo would sound like a better
way to me to omit them than overriding the whole %__os_install_post.

"Documentation" would be a more suitable value for the Group tag IMO.
Comment 4 Michael Stahnke 2007-12-13 15:21:37 EST
Great feedback.  I will update the license. If you think some of this should be
a binary-type package please help me define how it should be laid out.  I also
thought some the examples here are quite good.  

I will change group, license and rebuild when I get back home.  I am curious
about naming of the package if we move the examples into a package.

Please advise
Comment 5 Ville Skyttä 2007-12-13 15:51:18 EST
Just some random thoughts:

In my local package of python-libgmail, I opted to bundle everything in one SRPM:
http://cachalot.mine.nu/8/SRPMS/python-libgmail-0.1.8-0.1.cmn8.src.rpm

I have no strong opinions whether the bundled or the separate packaging approach
is better, and I have only thought about making some of the examples directly
available in $PATH, not actually implemented it.  The utility I became
interested in libgmail for was archive.py.  I guess I would have been a bit
surprised if I had been looking for it in Fedora and found that I needed to
install a package named libgmail-docs to get it (but perhaps people who know
what to look for would differ, as this is how it's upstream as well).
Comment 6 Parag AN(पराग) 2007-12-17 12:19:20 EST
any updates on comment #3?
Comment 7 Parag AN(पराग) 2007-12-31 21:54:07 EST
ping?
Comment 8 Michael Stahnke 2008-01-02 21:18:27 EST
http://stahnma.fedorapeople.org/reviews/python-libgmail-docs-0.3-3.fc9.src.rpm
http://stahnma.fedorapeople.org/reviews/python-libgmail-docs.spec

I have made changes recommended in previous comments.  This will stay its own
package, as it has a separate upstream download.  

The py files are marked executable in the %doc directory. It looks like some
other packages do this also (subversion for one).  

Fixed license. 
Changed group. 
Removed requires libgmail
Comment 9 Parag AN(पराग) 2008-01-03 00:19:06 EST
I can't see this package owns directory
/usr/share/doc/python-libgmail-0.1.8/examples
/usr/share/doc/python-libgmail-0.1.8/API

I don't think its necessary to mark examples/* as executable that made rpmlint
unhappy.

I agree some packages installed as executable in %doc but do you have any
specific  reason if not mark them as non-executable.
Comment 10 Parag AN(पराग) 2008-01-03 00:24:40 EST
Okay I see that you followed following suggestion
>If the *.py are not going to be made executable, I think the dependency on
python-libgmail is superfluous and should be dropped - without the executable
bits this package is really just a bunch of docs with no dependencies.

Then I think its ok for me but take care of ownership
/usr/share/doc/python-libgmail-0.1.8/examples
/usr/share/doc/python-libgmail-0.1.8/API

please provide update.
Comment 12 Parag AN(पराग) 2008-01-14 06:56:30 EST
build.log showed 
/usr/lib/rpm/pythondeps.sh: line 8: python: command not found

you still have missing BR: python python-libgmail
also, drop executable bits from README and COPYING.

I think its ok to have other rpmlint output as here we want those .py examples
to be installed as executable.
Comment 13 Parag AN(पराग) 2008-01-14 06:57:30 EST
oops I mean BR: python and Requires: python-libgmail
Comment 14 Parag AN(पराग) 2008-01-18 09:12:14 EST
ping?
Comment 16 Parag AN(पराग) 2008-01-19 23:03:10 EST
Review:
+ package builds in mock (rawhide i386).
- rpmlint is NOT silent for SRPM and for RPM.
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/gcp.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/sendmsg.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/unreadmsgcount.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/test_fwd_attach.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/readmail.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/gmailpopd.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/test_notifier.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/gmailftpd.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/gmailsmtp.py
python-libgmail-docs.noarch: W: spurious-executable-perm
/usr/share/doc/python-libgmail-0.1.8/examples/archive.py
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/archive.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/gcp.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/gmailftpd.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/gmailpopd.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/gmailsmtp.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/readmail.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/sendmsg.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/test_fwd_attach.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/test_notifier.py /usr/bin/env
python-libgmail-docs.noarch: W: doc-file-dependency
/usr/share/doc/python-libgmail-0.1.8/examples/unreadmsgcount.py /usr/bin/env
+ source files match upstream url
d8a209a6fcb6b7560977070fe4eaaf6f libgmail-docs_0.3.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage does exist.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

rpmlint output though does not look good but that is ok to accept here for this
package as per commented by ville in Comment#3.

APPROVED.

Ville,
   If you think some more things should be done here. please comment here.
Comment 17 Michael Stahnke 2008-01-20 03:23:18 EST
New Package CVS Request
=======================
Package Name: python-gmail-docs
Short Description: Documents and examples for python-libgmail

Owners: mastahnke@gmail.com
Branches: EL-4, EL-5, F7, F8 
InitialCC: 
Cvsextras Commits:  yes
Comment 18 Ville Skyttä 2008-01-20 05:06:40 EST
The autogenerated *.pyc and *.pyo in the examples dir do not seem useful, they
should be removed, for example like:

%files
%defattr(-,root,root,-)
%doc %{_docdir}/python-%{projectname}-%{projectversion}/API
%doc %{_docdir}/python-%{projectname}-%{projectversion}/examples
%exclude %{_docdir}/python-%{projectname}-%{projectversion}/examples/*.py[co]

(Not a blocker, please feel free to take a look after the import.)
Comment 19 Kevin Fenzi 2008-01-20 13:25:01 EST
Please use fedora account name for Owners field. 

Shouldn't the Package Name here be: "python-libgmail-docs" and not
"python-gmail-docs"? 

Comment 20 Michael Stahnke 2008-01-21 14:59:07 EST
New Package CVS Request
=======================
Package Name: python-libgmail-docs
Short Description: Documents and examples for python-libgmail

Owners: mastahnke@gmail.com
Branches: EL-4, EL-5, F7, F8 
InitialCC: 
Cvsextras Commits:  yes

Comment 21 Kevin Fenzi 2008-01-21 23:47:31 EST
Please do next time use your fedora account name and not email address in
Owners... it's a pain to have to look it up to process the request. 

cvs done.
Comment 22 Parag AN(पराग) 2008-01-26 00:14:00 EST
Michael,
  Can you build this package so that I can review fuse-gmailfs?
Comment 23 Fedora Update System 2008-01-28 00:09:26 EST
python-libgmail-docs-0.3-6.fc7 has been submitted as an update for Fedora 7
Comment 24 Fedora Update System 2008-01-28 00:10:50 EST
python-libgmail-docs-0.3-6.fc8 has been submitted as an update for Fedora 8
Comment 25 Fedora Update System 2008-01-29 00:16:34 EST
python-libgmail-docs-0.3-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-libgmail-docs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1156
Comment 26 Parag AN(पराग) 2008-02-06 21:02:54 EST
Closing this as this package has been successfully built for all requested
branches on build server.
Comment 27 Fedora Update System 2008-02-12 23:51:51 EST
python-libgmail-docs-0.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2008-02-13 00:17:25 EST
python-libgmail-docs-0.3-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.